/*
 * XTL - the eXternalization Template Library (sample code)
 * by Jose' Orlando Pereira, Universidade do Minho
 *
 * jop@di.uminho.pt - http://gsd.di.uminho.pt/~jop
 *
 * $Id: xdr.cpp,v 1.1 2001/01/03 18:59:53 jop Exp $
 */


#include <iostream>

#include <xtl2.h>

#define IMPL_ALLTESTS
#include "../../alltests.h"

int main() {
	const int size_buf = 500*1000;
	char buf[size_buf];

	all_tests to;
	to.init();

	int size=0;

	for(int j=0;j<100;j++) {
		xtl::buffer mb(buf, size_buf);
		xtl::XDR_output<xtl::buffer> os(mb);
	
		for(int i=0;i<1000;i++)
			os>>to;

		size+=mb.size();
	}

	std::cout <<size << std::endl;
}

