/*
 * Copyright (C) 1998-2001 Jose' Orlando Pereira, Universidade do Minho
 */
/*
 * XTL2 - the eXternalization Template Library v. 2
 * http://xtl.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 *
 * $Id: xtl2.h,v 1.4 2001/01/04 11:12:53 jop Exp $
 */

#ifndef __XTL2_MAIN_H
#define __XTL2_MAIN_H

#include <xtl2/config.h>

// basic functionality: buffer adaptors, formats and visitors.

#include <xtl2/visitors.h>
#include <xtl2/buffers.h>
#include <xtl2/formats.h>

// extras: support for aliased references and STL containers.

#include <xtl2/stlcompat.h>
#include <xtl2/aliased.h>

#endif
