
#include <iostream>
#include "xtl2.h"

using namespace xtl;

class data {
	int x, y;
	int* z;

 public:
	data() {}
	data(int i):x(i),y(i*2),z(new int[i](i*3)) {}

	template <class Visitor, class Kind>
	void composite(Visitor& visitor, Kind*) {
		visitor>>y>>array(z,x);
	}
};

class my_writer {
 public:
	typedef xtl::destructor kind;

	void visit(int data) {
		cout<<"visitei "<<data<<endl;
	}
};

class my_reader {
 public:
	typedef xtl::constructor kind;

	void visit(int& data) {
		data=123;
	}
};

int main() {
	my_writer w;
	my_reader r;

	int x=123;
	w>>x;

	data d(3);
	w>>d;

	data e;
	r>>e;
	w>>e;

	w>>make_pair(3, 4);

	return 0;
}
