/*
 * XTL - the eXternalization Template Library (sample code)
 * by Jose' Orlando Pereira, Universidade do Minho
 *
 * jop@di.uminho.pt - http://gsd.di.uminho.pt/~jop
 *
 * $Id: main.cpp,v 1.1 2001/01/03 18:59:53 jop Exp $
 */


#include <iostream>

#define IMPL_ALLTESTS
#include "../alltests.h"

void input(char buf[], all_tests& ti);
void output(char buf[], const all_tests& to);
void compare(const all_tests& to, const all_tests& ti);

int main(int argc, char* argv[]) {
	char buf[4000];

	std::cout << "Testing " << argv[0] << ": ";
	std::cout.flush();

	all_tests to;
	to.init();
	output(buf, to);

	all_tests ti;
	input(buf, ti);

	compare(to, ti);

	return 0;
}
